org.apache.tomcat.util.http

## Interface CookieProcessor

- All Known Implementing Classes:
    CookieProcessorBase, LegacyCookieProcessor, Rfc6265CookieProcessor

      public interface CookieProcessor

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateHeader(Cookie cookie)` Generate the `Set-Cookie` HTTP header value for the given Cookie.
    `Charset` | `getCharset()` Obtain the character set that will be used when converting between bytes and characters when parsing and/or generating HTTP headers for cookies.
    `void` | `parseCookieHeader(MimeHeaders headers, ServerCookies serverCookies)` Parse the provided headers into server cookie objects.

- - ### Method Detail

    - #### parseCookieHeader

          void parseCookieHeader(MimeHeaders headers,
                               ServerCookies serverCookies)

      Parse the provided headers into server cookie objects.
      Parameters:
        `headers` - The HTTP headers to parse
        `serverCookies` - The server cookies object to populate with the results of the parsing

    - #### generateHeader

          String generateHeader(Cookie cookie)

      Generate the `Set-Cookie` HTTP header value for the given Cookie.
      Parameters:
        `cookie` - The cookie for which the header will be generated
      Returns:
        The header value in a form that can be added directly to the response

    - #### getCharset

          Charset getCharset()

      Obtain the character set that will be used when converting between bytes and characters when parsing and/or generating HTTP headers for cookies.
      Returns:
        The character set used for byte<->character conversions

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.